Bug 63962 - Fix MIPS build due to readInt32 and readPointer
Summary: Fix MIPS build due to readInt32 and readPointer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-05 17:48 PDT by Chao-ying Fu
Modified: 2011-07-09 13:09 PDT (History)
1 user (show)

See Also:


Attachments
Fix MIPS readInt32 and readPointer (1.41 KB, patch)
2011-07-05 17:54 PDT, Chao-ying Fu
no flags Details | Formatted Diff | Diff
Add MIPS rshift32 (2.12 KB, patch)
2011-07-07 15:25 PDT, Chao-ying Fu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chao-ying Fu 2011-07-05 17:48:45 PDT
Hi,

  I will post a patch to fix readInt32 and readPointer for the MIPS build.  Thanks!

Regards,
Chao-ying
Comment 1 Chao-ying Fu 2011-07-05 17:54:39 PDT
Created attachment 99768 [details]
Fix MIPS readInt32 and readPointer

Here is the patch.  JavaScriptCore tests are ok.  Thanks!
Comment 2 Chao-ying Fu 2011-07-07 15:25:16 PDT
Created attachment 100038 [details]
Add MIPS rshift32

One more fix to add MIPS rshift32.  Thanks!
Comment 3 Patrick R. Gansterer 2011-07-09 13:07:18 PDT
Committed r90687: <http://trac.webkit.org/changeset/90687>
Comment 4 Patrick R. Gansterer 2011-07-09 13:09:33 PDT
Comment on attachment 100038 [details]
Add MIPS rshift32

Some hints for the future: Adding a revision where the build break occured helps to verify the patch and to see the relations between changes.

Any interests in setting up a buildbot for MIPS?